<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$locale = fusion_get_locale('', NOTIFIER_LOCALE);

$inf_title = $locale['NTFP_000'];
$inf_description = $locale['NTFP_001'];
$inf_version = "1.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "notifier";
$inf_image = "notifier.svg";

// Create tables
$inf_newtable[] = DB_NOTIFIER." (
    n_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    n_whouser MEDIUMINT(8) NOT NULL DEFAULT '0',
    n_link VARCHAR(200) NOT NULL DEFAULT '',
    n_notifier TEXT NOT NULL,
    n_descript TEXT NOT NULL,
    n_userid MEDIUMINT(8) NOT NULL DEFAULT '0',
    n_date INT(10) NOT NULL DEFAULT '0',
    n_ip VARCHAR(45) NOT NULL DEFAULT '',
    n_language VARCHAR(50) NOT NULL DEFAULT '".LANGUAGE."',
    PRIMARY KEY (n_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

// Insert settings
$settings = [
    'ntf_page' => 20,
    'ntf_user' => 1
    ];

foreach ($settings as $name => $value) {
    $inf_insertdbrow[] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('".$name."', '".$value."', '".$inf_folder."')";
}
// Multilanguage table
$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => "NTFP"
];

// Multilanguage links
$enabled_languages = makefilelist(LOCALE, ".|..", TRUE, "folders");
if (!empty($enabled_languages)) {
    foreach($enabled_languages as $language) {
        if (file_exists(NOTIFIER_PATH.'locale/'.$language.'/notifier.php')) {
            include NOTIFIER_PATH.'locale/'.$language.'/notifier.php';
        } else {
            include NOTIFIER_PATH.'locale/English/notifier.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "NTFP",
            'image'    => $inf_image,
            'title'    => $locale['NTFP_003'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_insertdbrow[$language][] = DB_SITE_LINKS." (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES ('".$locale['NTFP_002']."', 'infusions/".$inf_folder."/notifier.php', '".USER_LEVEL_PUBLIC."', '2', '0', '2', '1', '".$language."')";

        $mlt_deldbrow[$language][] = DB_SITE_LINKS." WHERE link_url = 'infusions/".$inf_folder."/notifier.php' AND link_language = '".$language."'";
		$mlt_deldbrow[$language][] = DB_NOTIFIER." WHERE n_language = '".$language."'";
        $mlt_deldbrow[$language][] = DB_ADMIN." WHERE admin_rights = 'NTFP' AND admin_language = '".$language."'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "NTFP",
        'image'    => $inf_image,
        'title'    => $locale['NTFP_003'],
        'panel'    => "admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
    $inf_insertdbrow[] = DB_SITE_LINKS." (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES('".$locale['NTFP_002']."', 'infusions/".$inf_folder."/notifier.php', '".USER_LEVEL_PUBLIC."', '2', '0', '2', '1', '".LANGUAGE."')";
}

// Uninstallation
$inf_droptable[] = DB_NOTIFIER;
$inf_deldbrow[] = DB_SITE_LINKS." WHERE link_url = 'infusions/".$inf_folder."/notifier.php'";
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'NTFP'";
$inf_deldbrow[] = DB_SETTINGS_INF." WHERE settings_inf = '".$inf_folder."'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'NTFP'";
