<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: notifier.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once __DIR__.'/../../maincore.php';
if (!defined('NOTIFIER_EXIST')) {
    redirect(BASEDIR."error.php?code=404");
}
require_once FUSION_HEADER;

$locale = fusion_get_locale('', NOTIFIER_LOCALE);
require_once NOTIFIER_PATH."templates/notifier.tpl.php";
add_to_title($locale['NTFP_002']);

if (iMEMBER) {
    if (check_post('savenotifier') && !empty(post('ntfselect'))) {
    	$saventf = [
            'n_id'       => '',
            'n_whouser'  => check_post('n_whouser') ? sanitizer('n_whouser', 0, 'n_whouser') : 0,
            'n_link'     => check_post('n_link') ? sanitizer('n_link', '', 'n_link') : '',
            'n_notifier' => check_post('n_notifier') ? sanitizer('n_notifier', '', 'n_notifier') : '',
            'n_descript' => sanitizer('n_descript', '', 'n_descript'),
            'n_userid'   => fusion_get_userdata('user_id'),
            'n_date'     => time(),
            'n_ip'       => USER_IP,
            'n_language' => LANGUAGE
        ];

        require_once INCLUDES."flood_include.php";
        if (!flood_control("n_date", DB_NOTIFIER, "n_userid = '".$saventf['n_userid']."'")) {
            if (fusion_safe()) {
                $ntfsettings = get_settings("notifier");
                $msg = strtr($locale['NTFP_023'], ['[LINK]' => "<a href='".NOTIFIER_PATH."admin.php".fusion_get_aidlink()."'>", '[/LINK]' => '</a>']);

                send_pm($saventf['n_userid'], $ntfsettings['ntf_user'], $locale['NTFP_022'], $msg);

                dbquery_insert(DB_NOTIFIER, $saventf, 'save');
                addnotice("success", $locale['NTFP_011']);
                redirect(FUSION_REQUEST);
            }
        } else {
            fusion_stop(sprintf($locale['NTFP_E01'], fusion_get_settings('flood_interval')));
        }
    }

    $stnotifier = check_post('ntfselect') ? post('ntfselect') : 0;

    $ninfo = [
        'stnotifier' => $stnotifier,
        'tablename'  => $locale['NTFP_010'],
        'openform'   => openform('notifierFrm', 'post', FUSION_REQUEST),
        'ntfselect'  => form_select('ntfselect', $locale['NTFP_012'], $stnotifier, [
            'inline'      => TRUE,
            'options'     => [
                0             => $locale['choose'],
                'ntfusername' => $locale['NTFP_013'],
                'ntflink'     => $locale['NTFP_014'],
                'ntftext'     => $locale['NTFP_015']
            ],
            'allowclear'  => TRUE,
            'ext_tip'     => $locale['NTFP_016']
        ]),
        'n_whouser'  => form_user_select('n_whouser', $locale['NTFP_013'], '', [
            'inline'     => TRUE,
            'max_select' => 1,
            'allow_self' => TRUE,
            'ext_tip'    => $locale['NTFP_017']
        ]),
        'n_link'     => form_text('n_link', $locale['NTFP_014'], '', [
            'inline'     => TRUE,
            'type'        => 'url',
            'regex'       => 'http(s)?\:\/\/(.*?)',
            'placeholder' => $locale['NTFP_014'],
            'ext_tip'     => $locale['NTFP_018']
        ]),
        'n_notifier' => form_textarea('n_notifier', $locale['NTFP_015'], '', [
            'inline'     => TRUE,
            'wordcount'   => TRUE,
            'autosize'    => TRUE,
            'type'        => 'bbcode',
            'placeholder' => $locale['NTFP_015'],
            'ext_tip'     => $locale['NTFP_019'],
            'form_name'   => 'notifierFrm'
        ]),
        'n_descript' => form_text('n_descript', $locale['NTFP_020'], '', [
            'inline'      => TRUE,
            'required'    => TRUE,
            'placeholder' => $locale['NTFP_020'],
            'error_text'  => $locale['error_value'],
            'ext_tip'     => $locale['NTFP_021']
        ]),
        'buton'      => form_button('savenotifier', $locale['save'], $locale['save'], ['class' => 'btn-primary']),
        'closeform'  => closeform(),
        'nouser'     => ''
    ];
} else {
    $ninfo= [
        'tablename' => $locale['NTFP_010'],
        'nouser'    => $locale['NTFP_E00']
    ];
}

showNotifier($ninfo);

add_to_jquery("
    function ntfcheck(val) {
        if (val == 'ntfusername') {
            $('#ntfusername').slideDown('slow');
            $('#ntfsave').slideDown('slow');
            $('#ntflink').slideUp('slow');
            $('#ntftext').slideUp('slow');
        } else if(val == 'ntflink') {
            $('#ntflink').slideDown('slow');
            $('#ntfsave').slideDown('slow');
            $('#ntfusername').slideUp('slow');
            $('#ntftext').slideUp('slow');
        } else if(val == 'ntftext') {
            $('#ntftext').slideDown('slow');
            $('#ntfsave').slideDown('slow');
            $('#ntflink').slideUp('slow');
            $('#ntfusername').slideUp('slow');
        } else {
            $('#ntftext').slideUp('slow');
            $('#ntflink').slideUp('slow');
            $('#ntfusername').slideUp('slow');
            $('#ntfsave').slideUp('slow');
        }
    }
    ntfcheck($('#ntfselect').select2().val());
    $('#ntfselect').bind('change', function() {
        ntfcheck($(this).select2().val());
    });
");

require_once FUSION_FOOTER;
